<?php
/*
* Footer
*/
?>
<?php
$display_footer = true;
$display_instagram = true;
if (is_page_template('template-blank.php')) {
	$display_footer = false;
	$display_instagram = false;
}
if ( post_password_required() ) {
	$display_footer = false;
	$display_instagram = false;
}
if ( tamarind_is_fullscreen_post() ) {
	$display_footer = false;
	$display_instagram = false;
}
if ( is_singular('mtheme_proofing') ) {
	$display_footer = true;
	$display_instagram = false;
}
if ( is_singular('mtheme_proofing') ) {
	$display_instagram = false;
	$client_id = get_post_meta( get_the_id() , 'pagemeta_client_names', true);
	$proofing_status = get_post_meta( get_the_id() , 'pagemeta_proofing_status', true);
	if ( isSet($client_id) ) {
		if ( post_password_required($client_id) ) {
			$display_footer = false;
		}
	}
	if ( isSet($proofing_status) ) {
		if ( $proofing_status=="inactive" ) {
			$display_footer = false;
		}
	}
}
if ( is_archive() ) {
	$display_footer = true;
	$display_instagram = true;
}
if ( is_404() ) {
	$display_footer = false;
	$display_instagram = false;
}
if ( is_search() ) {
	$display_footer = true;
	$display_instagram = false;
}
$instagram_footer = tamarind_get_option_data('instagram_footer');
if ($instagram_footer) {
	$display_instagram = true;
} else {
	$display_instagram = false;
}
if ( is_singular('mtheme_portfolio') ) {
	$display_footer = true;
	$display_instagram = false;
}
?>
</div>
<?php
if (isset($custom['pagemeta_pagestyle'][0])) {
	$mtheme_pagestyle=$custom['pagemeta_pagestyle'][0];
}
$portfolio_itemcarousel = "enable";
if (isset($custom['pagemeta_portfolio_itemcarousel'][0])) {
	$portfolio_itemcarousel=$custom['pagemeta_portfolio_itemcarousel'][0];
	if ( $portfolio_itemcarousel == "default" ) {
		$portfolio_itemcarousel = "enable";
	}
}
if (is_singular('mtheme_portfolio') ) {
	do_action('tamarind_display_portfolio_single_navigation');
	if ( ! post_password_required() ) {
		if (tamarind_get_option_data('portfolio_recently') && $portfolio_itemcarousel=="enable" ) {
	?>
	<div class="portfolio-end-block clearfix">
		<div class="portfolio-section-heading section-align-center">
			<h2 class="section-title"><?php echo tamarind_get_option_data('portfolio_carousel_heading'); ?></h2>
		</div>
		<?php
		$orientation = tamarind_get_option_data('portfolio_related_format');
		if ($orientation == 'portrait') {
			$column_slots = 4;
		} else {
			$column_slots = 4;
		}
		if ( shortcode_exists('workscarousel') ) {
			echo do_shortcode('[workscarousel pagination="false" format="'.esc_attr($orientation).'" worktype_slug="" boxtitle="true" category_display="false" columns="'.esc_attr($column_slots).'"]');
		}
		?>
	</div>
	<?php
		}
	}
}
$display_footer_widgets = false;
if ( is_active_sidebar( 'footer_1' ) ) {
	$display_footer_widgets = true;
}
if ( is_active_sidebar( 'footer_2' ) ) {
	$display_footer_widgets = true;
}
if ( is_active_sidebar( 'footer_3' ) ) {
	$display_footer_widgets = true;
}
if ( $display_footer ) {
?>
<div class="footer-container-wrap clearfix">
	<?php
	if ($display_footer_widgets) {
	?>
			<div class="footer-container clearfix">
				<div id="footer" class="sidebar widgetized clearfix">
				
					<?php if ( function_exists('dynamic_sidebar') ) { 
						echo '<div class="footer-column">';
						dynamic_sidebar('Footer Single Column');  
						echo '</div>';
						}
					?>
				</div>	
			</div>
	<?php
	}
	?>
	<div class="footer-end clearfix">
		<div class="footer-logo">
				<?php
				$footer_logo=tamarind_get_option_data('footer_logo');
				$theme_style = "light";

				if ($footer_logo<>"") {
					$footer_logo_tag = '<img class="custom-footer-logo footer-logo-image" src="'.esc_url($footer_logo).'" alt="'.esc_attr__('footer-logo','tamarind').'" />';
				} else {
					$footer_logo_tag = '<img class="footer-logo-image" src="'.esc_url(get_template_directory_uri() . '/images/logo_responsive_alt.png').'" alt="'.esc_attr__('footer-logo','tamarind').'" />';
				}
				$allowedtags = array(
					'img' => array(
						'alt' => true,
						'class' => true,
						'src' => true,
					),
				);
				echo wp_kses($footer_logo_tag, $allowedtags);
				?>
		</div>
		<div id="copyright" class="footer-container">
		<?php
		$footer_info = stripslashes_deep( tamarind_get_option_data('footer_copyright') );
		echo tamarind_convert_newlines_to_list($footer_info);
		?>
		</div>
	</div>
</div>
<?php
}
if (!tamarind_is_fullscreen_post()) {
		echo '</div>';
	echo '</div>';
}
?>
<div class="site-back-cover"></div>
<?php
do_action ( 'tamarind_starting_footer' );
wp_footer();
?>
</body>
</html>