jQuery(document).ready(function($) {
	"use strict";

	var placesize = tamarind_admin_vars.placesize,
	placeremove = tamarind_admin_vars.placeremove,
	placeprice = tamarind_admin_vars.placeprice;

    $(".metabox-image-radio-selector").on('click', function() {
    	var check_radio_selector = $(this).data('holder');
    	$("#"+check_radio_selector).prop("checked", true);
    });

	$('.movethis-wrap .add-box').on('click', function() {

		var repeat_id = $('.movethis-wrap').data('repeat');
        var n = $('.text-box').length + 1;
        if( 7 < n ) {
        	$('.add-box-notice').fadeIn();
        	setTimeout("jQuery('.add-box-notice').fadeOut();", 4000);
            return false;
        }
        var box_html = $('<div id="text-box" class="text-box" id="text-box"><input placeholder="'+placesize+'" type="text" name="'+repeat_id+'[size][]" value="" id="box_size' + n + '" /><input placeholder="'+placeprice+'" type="text" name="'+repeat_id+'[price][]" value="" id="box_price' + n + '" /><span class="remove-box">'+placeremove+'</span></div>');
        box_html.hide();
        $('.movethis-wrap .text-box:last').after(box_html);
        box_html.fadeIn('slow');
        return false;
    });
    $('.movethis-wrap').on('click', '.remove-box', function(){
        $(this).parent().css( 'background-color', '#FF6C6C' );
        $(this).parent().fadeOut("slow", function() {
            $(this).remove();
            $('.box-number').each(function(index){
                $(this).text( index + 1 );
            });
        });
        return false;
    });
	
	$(function() {
	    $( ".movethis").sortable({
	        placeholder: "ui-state-highlight",
	        forcePlaceholderSize: true,
	        helper: 'clone'
	    });
	    $( ".movethis" ).disableSelection();
  	});

  /**
    * Google Fonts
    */
  function MetaBoxGoogleFontSelect( slctr, mainID ){

    var _selected = $(slctr).val();
    var _fontname = $(slctr).find(':selected').data('font');
    var _linkclass = 'style_link_'+ mainID;
    var _previewer = mainID +'_metabox_googlefont_previewer';

    if( _selected ){
      $('.'+ _previewer ).fadeIn();

      if ( _selected !== '0' && _selected !== 'Default Font' ) {

        $( '.'+ _linkclass ).remove();

        var the_font = _selected.replace(/\s+/g, '+');

        $('head').append('<link href="https://fonts.googleapis.com/css?family='+ the_font +'" rel="stylesheet" class="'+ _linkclass +'">');

        $('.'+ _previewer ).css('font-family', _fontname +', sans-serif' );

      } else {
        $('.'+ _previewer ).css('font-family', '' );
        $('.'+ _previewer ).fadeOut();
      }

    }

  }

  //init for each element
  jQuery( '.metabox_google_font_select' ).each(function(){
    var mainID = jQuery(this).attr('id');
    MetaBoxGoogleFontSelect( this, mainID );
  });

  //init when value is changed
  jQuery( '.metabox_google_font_select' ).change(function(){
    var mainID = jQuery(this).attr('id');
    MetaBoxGoogleFontSelect( this, mainID );
  });

	"use strict";

	//Implement color picker
	jQuery('.colorSwatch').wpColorPicker();

	if ($.fn.chosen) {
		$('.chosen-select-metabox').chosen();
	}

	if ($.fn.flatpickr) {
		$('.datepicker').flatpickr();
	}

	var sidebarlist;
	sidebarlist = $('.page_style img.of-radio-img-selected').attr("data-value");
	if (sidebarlist=="nosidebar") {
		$('.sidebar_choice').hide();
	}

	var videoembedcode;
	videoembedcode = $('.portfolio_header img.of-radio-img-selected').attr("data-value");

	if (videoembedcode!="Video") {
		$('.videoembed').hide();
	}

	var linkmethod;
	linkmethod = $('.thumbnail_linktype img.of-radio-img-selected').attr("data-value");

	if (linkmethod=="meta_thumbnail_direct") {
		$('.portfoliolinktype').hide();
	}

	$(".of-radio-img-selected").each(function(){
		var toggleClass=$(this).parent().find('span').attr("data-toggleClass");
		var toggleAction=$(this).parent().find('span').attr("data-toggleAction");
		var toggleTrigger=$(this).parent().find('span').attr("data-toggleTrigger");
		var toggleID=$(this).parent().find('span').attr("data-toggleID");
		var toggleClass=$(this).parent().find('span').attr("data-toggleClass");
		var parentclass=$(this).parent().find('span').attr("data-parentclass");
		var SteppingStone=$(this).attr("data-value");

		if ( $(this).parent().hasClass('trigger_element') ) {
			console.log('.'+parentclass+'-'+SteppingStone,parentclass);
			$('.'+parentclass+'-trigger').hide();
			$('.'+parentclass+'-'+SteppingStone).show();
		}
	});

	// Image Options
	$('.of-radio-img-img').on('click', function() {
		$(this).parent().find('.of-radio-img-img').removeClass('of-radio-img-selected');
		$(this).addClass('of-radio-img-selected');

		var toggleClass=$(this).parent().find('span').attr("data-toggleClass");
		var toggleAction=$(this).parent().find('span').attr("data-toggleAction");
		var toggleTrigger=$(this).parent().find('span').attr("data-toggleTrigger");
		var toggleID=$(this).parent().find('span').attr("data-toggleID");
		var toggleClass=$(this).parent().find('span').attr("data-toggleClass");
		var parentclass=$(this).parent().find('span').attr("data-parentclass");
		var SteppingStone=$(this).attr("data-value");

		if ( $(this).parent().hasClass('trigger_element') ) {
			console.log('.'+parentclass+'-'+SteppingStone,parentclass);
			$('.'+parentclass+'-trigger').hide();
			$('.'+parentclass+'-'+SteppingStone).show();
		}
	});


	//jQuery( ".ranger-bar :text" ).slider();
	$('.ranger-bar :text').each(function(index) {
	                // get input ID
					var inputField = $(this);
	                var inputId = $(this).attr('id');
	                // get input value
	                var inputValue = parseInt($(this).val());
	                // get input max
	                var inputMin = parseInt($(this).attr('min'));
					var inputMax = parseInt($(this).attr('max'));

	                $('#'+inputId+'_slider').slider({
						range: "min",
	                    value: inputValue,
	                    max: inputMax,
	                    min: inputMin,
	                    slide: function(event, ui){

	                        $(inputField).val(ui.value);

	                    }
	                });
	            });
	
				$( ".ranger-bar :text" ).change(function() {
					var inputField = $(this);
					var inputId = $(this).attr('id');
					var inputMin = parseInt($(this).attr('min'));
					var inputMax = parseInt($(this).attr('max'));
					var inputValue = parseInt($(this).val());
					
					if (inputValue > inputMax ) { 
						inputValue=inputMax;
						$(inputField).val(inputValue);
					}
					if (inputValue < inputMin ) { 
						inputValue=inputMin;
						$(inputField).val(inputValue);
					}
				    $('#'+inputId+'_slider').slider( "value", inputValue );
				});
	

	jQuery(".selectbox-wrap select").each(function(){
	  jQuery(this).wrap('<div class="selectbox"/>');
		jQuery(this).after("<span class='selecttext'></span><span class='select-arrow'></span>");
		var val = jQuery(this).children("option:selected").text();
		jQuery(this).next(".selecttext").text(val);
		jQuery(this).change(function(){
			var val = jQuery(this).children("option:selected").text();
			jQuery(this).next(".selecttext").text(val);
		});
	});

	var imageWrapper = jQuery('#image-meta-box');
	var linkWrapper = jQuery('#link-meta-box');
	var videoWrapper = jQuery('#video-meta-box');
	var quoteWrapper = jQuery('#quote-meta-box');
	var audioWrapper = jQuery('#audio-meta-box');
	var videoWrapper = jQuery('#video-meta-box');
	var galleryWrapper = jQuery('#gallery-meta-box');
	
	var imageSelector = jQuery('#post-format-image');
	var audioSelector = jQuery('#post-format-audio');
	var quoteSelector = jQuery('#post-format-quote');
	var linkSelector = jQuery('#post-format-link');
	var videoSelector = jQuery('#post-format-video');
	var gallerySelector = jQuery('#post-format-gallery');
	
	
	hideAll();
	showCheckedChoice();

	var postmetaChoice = jQuery('#post-formats-select input');
	
	postmetaChoice.change( function() {
	
		var thisElement = jQuery(this).val();

		switch ( thisElement ) {

			case 'quote' :
			quoteWrapper.css('display', 'block');
			DisplaySelected(quoteWrapper);
			break;
			
			case 'gallery' :
			galleryWrapper.css('display', 'block');
			DisplaySelected(galleryWrapper);
			break;

			case 'video' :
			videoWrapper.css('display', 'block');
			DisplaySelected(videoWrapper);
			break;

			case 'link' :
			linkWrapper.css('display', 'block');
			DisplaySelected(linkWrapper);
			break;	
			
			case 'image' :
			imageWrapper.css('display', 'block');
			DisplaySelected(imageWrapper);
			break;
			
			case 'audio' :
			audioWrapper.css('display', 'block');
			DisplaySelected(audioWrapper);
			break;
			
			default :
			quoteWrapper.css('display', 'none');
			galleryWrapper.css('display', 'none');
			videoWrapper.css('display', 'none');
			linkWrapper.css('display', 'none');
			audioWrapper.css('display', 'none');
			imageWrapper.css('display', 'none');

		}
		
	});


	var postmetaWP36 = jQuery('.post-format-options a');
	
	postmetaWP36.on('click', function() {
	
		var thisElement = jQuery(this).data('wp-format');

		switch ( thisElement ) {

			case 'quote' :
			quoteWrapper.css('display', 'block');
			DisplaySelected(quoteWrapper);
			break;
			
			case 'gallery' :
			galleryWrapper.css('display', 'block');
			DisplaySelected(galleryWrapper);
			break;

			case 'video' :
			videoWrapper.css('display', 'block');
			DisplaySelected(videoWrapper);
			break;

			case 'link' :
			linkWrapper.css('display', 'block');
			DisplaySelected(linkWrapper);
			break;	
			
			case 'image' :
			imageWrapper.css('display', 'block');
			DisplaySelected(imageWrapper);
			break;
			
			case 'audio' :
			audioWrapper.css('display', 'block');
			DisplaySelected(audioWrapper);
			break;
			
			default :
			quoteWrapper.css('display', 'none');
			galleryWrapper.css('display', 'none');
			videoWrapper.css('display', 'none');
			linkWrapper.css('display', 'none');
			audioWrapper.css('display', 'none');
			imageWrapper.css('display', 'none');

		}
		
	});
		
	function DisplaySelected(elementSelected) {
		hideAll();
		elementSelected.css('display', 'block');
	}
	
	function hideAll() {
		videoWrapper.css('display', 'none');
		galleryWrapper.css('display', 'none');
		quoteWrapper.css('display', 'none');
		linkWrapper.css('display', 'none');
		audioWrapper.css('display', 'none');
		imageWrapper.css('display', 'none');	
	}
	
	function showCheckedChoice() {
	
		if(quoteSelector.is(':checked')) {
			quoteWrapper.css('display', 'block');
		}
			
		if(linkSelector.is(':checked')) {
			linkWrapper.css('display', 'block');
		}
		
		if(audioSelector.is(':checked')) {
			audioWrapper.css('display', 'block');
		}
		
		if(gallerySelector.is(':checked')) {
			galleryWrapper.css('display', 'block');
		}
		
		if(videoSelector.is(':checked')) {
			videoWrapper.css('display', 'block');
		}
			
		if(imageSelector.is(':checked')) {
			imageWrapper.css('display', 'block');
		}
			
	}
});