<?php
/*
* @ Header
*/
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php
	wp_head();
	?>
</head>
<body <?php body_class(); ?>>
<?php
echo tamarind_display_elementloader();
do_action('tamarind_preloader');
do_action('tamarind_page_necessities');
do_action('tamarind_reservation_screen');
//Mobile menu
if (is_page_template('template-blank.php')) {

	$site_layout_width='fullwidth';

} else {
	get_template_part('template-parts/menu/mobile','menu');
	//Header Navigation elements
	get_template_part('template-parts/header','navigation');
}

echo '<div id="home" class="container-wrapper container-fullwidth">';
if (!tamarind_is_fullscreen_post()) {
	if (tamarind_menu_is_vertical()) {
		echo '<div class="vertical-menu-body-container">';
	} else {
		echo '<div class="horizontal-menu-body-container">';
	}
}
if (!is_page_template('template-blank.php') && !tamarind_is_fullscreen_post() ) {
	get_template_part('template-parts/header','title');
}
$post_type = get_post_type( get_the_ID() );
$custom = get_post_custom( get_the_ID() );
$mtheme_pagestyle='';
if (isset($custom['pagemeta_pagestyle'][0])) { $mtheme_pagestyle=$custom['pagemeta_pagestyle'][0]; }

if (!tamarind_is_fullscreen_post()) {
	echo '<div class="container clearfix">';
}
?>