jQuery(document).ready(function($) {
	"use strict";

	   // Insta Reset!
	   $('#reset-instagram-cache').on('click', function() {
	      $.ajax({
	        type: "post",
	        url: ajaxurl,
	        data: 'action=mtheme_insta_reset',
	    beforeSend : function(){
	    },
	    success: function(data){
	      $('#insta-reset-Message').fadeIn();
	    },
	    error: function(jqXHR, textStatus, errorThrown) {
	      $('#insta-error-Message').fadeIn();
	    }
	      }); 
	      
	      setTimeout("jQuery('#insta-reset-Message,#insta-error-Message').fadeOut();", 4000);
	      
	      return false;
	   });

	  $('.themeoptions-loading').fadeOut('fast');
	  $('.theme-options-outer').show();

	  	if ($.fn.chosen) {
			$('.chosen-select').chosen();
		}

		// Ajax Save Settings!
	   $('#submit-options-ajax').on('click', function() {
	   	  var formdata = $('#mtheme-admin-options-form').serialize();
	      $.ajax({
	        type: "post",
	        url: ajaxurl,
	        data: formdata + '&action=mtheme_save_options',
			beforeSend : function(){
			},
			success: function(data){
				$('#saveMessage').fadeIn();
				$("#exportpack").val(data);
			},
			error     : function(jqXHR, textStatus, errorThrown) {
				$('#errorMessage').fadeIn();
			}
	      }); 
	      
	      setTimeout("jQuery('#saveMessage,#errorMessage').fadeOut();", 4000);
	      
	      return false;
	   });


		// Section Order
		var initialize = function(id) {
			var el = $("#" + id);
			function update(base) {
				var value_set = base.find("#values");
				var val = '';
				base.find('.section_active .item_drawer span').each(function() {
					val += '<input type="hidden" name="'+value_set.data('key')+'['+id+']['+$(this).data('key')+']" value="true" />';
				});
				value_set.html(val);
				
				el.find('.section_active .action').show();
				el.find('.section_storage .action').hide();
				
				/* To hide subsections when element is removed from active list */
				var hidden = base.find("input[class='blog-section-order-tracker']");
				var val = [];
				base.find('.section_active .item_drawer span').each(function() {
					val.push($(this).data('key'));
				})
				hidden.val(val.join(",")).change();
				$('.section_active .action').show();
				$('.section_storage .action').hide();
			}
			el.find(".section_storage .item_drawer").delegate(".action", "click", function() {
				var item = $(this).closest('.draggable_item');
				$(this).closest('.section_order').children('.section_active').children('.item_drawer').append(item);
				update($(this).closest(".section_order"));
			});
			el.find(".section_active .item_drawer").delegate(".action", "click", function() {
				var item = $(this).closest('.draggable_item');
				$(this).val('Add');
				$(this).closest('.section_order').children('.section_storage').children('.item_drawer').append(item);
				$(this).hide();
				update($(this).closest(".section_order"));
			});
			el.find(".section_active .item_drawer").sortable({
				update: function() {
					update($(this).closest(".section_order"));
				},
				connectWith: '#' + id + ' .section_storage .item_drawer'
			});

			el.find(".section_storage .item_drawer").sortable({
				connectWith: '#' + id + ' .section_active .item_drawer'
			});

			update(el);
		}

		$('.section_order').each(function() {
			initialize($(this).attr('id'));
		});
		

		$("#optionsframework select.of-input").each(function(){
		  $(this).wrap('<div class="selectbox"/>');
			$(this).after("<span class='selecttext'></span><span class='select-arrow'></span>");
			var val = $(this).children("option:selected").text();
			$(this).next(".selecttext").text(val);
			$(this).change(function(){
				var val = $(this).children("option:selected").text();
				$(this).next(".selecttext").text(val);
			});
		});

	    $ ('div.section:even').addClass ('even');
	    $ ('div.section:odd').addClass ('odd');
		
		//jQuery( ".ranger-bar :text" ).slider();
		$('.ranger-bar :text').each(function(index) {
		                // get input ID
						var inputField = $(this);
		                var inputId = $(this).attr('id');
		                // get input value
		                var inputValue = parseInt($(this).val());
		                if ( isNaN(inputValue) ) {
		                	inputValue=0;
		                	$(this).val(0);
		                }
		                console.log ( inputValue );
		                // get input max
		                var inputMin = parseInt($(this).attr('min'));
						var inputMax = parseInt($(this).attr('max'));

		                $('#'+inputId+'_slider').slider({
							range: "min",
		                    value: inputValue,
		                    max: inputMax,
		                    min: inputMin,
		                    slide: function(event, ui){

		                        $(inputField).val(ui.value);

		                    }
		                });
		            });
		
					$( ".ranger-bar :text" ).change(function() {
						var inputField = $(this);
						var inputId = $(this).attr('id');
						var inputMin = parseInt($(this).attr('min'));
						var inputMax = parseInt($(this).attr('max'));
						var inputValue = parseInt($(this).val());
						
						if (inputValue > inputMax ) { 
							inputValue=inputMax;
							$(inputField).val(inputValue);
						}
						if (inputValue < inputMin ) { 
							inputValue=inputMin;
							$(inputField).val(inputValue);
						}
					    $('#'+inputId+'_slider').slider( "value", inputValue );
					});
		
		jQuery( "#home-list" ).sortable();
		jQuery( "#home-list" ).disableSelection();
		
		var homeList = jQuery('#home-list');
		jQuery('#loading-animation').hide();
	 
		homeList.sortable({
			update: function(event, ui) {
				jQuery('#loading-animation').show(); // Show the animate loading gif while waiting
	 			//alert(homeList.sortable('toArray').toString());
				opts = {
					url: ajaxurl, // ajaxurl is defined by WordPress and points to /wp-admin/admin-ajax.php
					type: 'POST',
					async: true,
					cache: false,
					dataType: 'json',
					data:{
						action: 'home_sort', // Tell WordPress how to handle this ajax request
						order: homeList.sortable('toArray').toString() // Passes ID's of list items in	1,3,2 format
					},
					success: function(response) {
						jQuery('#loading-animation').hide(); // Hide the loading animation
						return; 
					},
					error: function(xhr,textStatus,e) {  // This can be expanded to provide more information
						//alert('There was an error saving the updates');
						jQuery('#loading-animation').hide(); // Hide the loading animation
						return; 
					}
				};
				jQuery.ajax(opts);
			}
		});	

	// Fade out the save message
	$('.fade').delay(5000).fadeOut(1000);
	
	$('.colorSwatch').wpColorPicker();
	
	// Switches option sections
	$('.group').hide();
	var activetab = '';
	if (typeof(localStorage) != 'undefined' ) {
		activetab = localStorage.getItem("activetab");
	}
	if (activetab != '' && $(activetab).length ) {
		$(activetab).show();
	} else {
		$('.group:first').show();
	}
	$('.group .collapsed').each(function(){
		$(this).find('input:checked').parent().parent().parent().nextAll().each( 
			function(){
				if ($(this).hasClass('last')) {
					$(this).removeClass('hidden');
						return false;
					}
				$(this).filter('.hidden').removeClass('hidden');
			});
	});
	
	if (activetab != '' && $(activetab + '-tab').length ) {
		$(activetab + '-tab').addClass('nav-tab-active');
	}
	else {
		$('.nav-tab-wrapper a:first').addClass('nav-tab-active');
	}
	$('.nav-tab-wrapper a').on('click', function(evt) {
		$('.nav-tab-wrapper a').removeClass('nav-tab-active');
		$(this).addClass('nav-tab-active').blur();
		var clicked_group = $(this).attr('href');
		if (typeof(localStorage) != 'undefined' ) {
			localStorage.setItem("activetab", $(this).attr('href'));
		}
		$('.group').hide();
		$(clicked_group).show();
		evt.preventDefault();
	});
           					
	$('.group .collapsed input:checkbox').on('click', function() {
		unhideHidden();
	});
				
	function unhideHidden(){
		if ($(this).attr('checked')) {
			$(this).parent().parent().parent().nextAll().removeClass('hidden');
		}
		else {
			$(this).parent().parent().parent().nextAll().each( 
			function(){
				if ($(this).filter('.last').length) {
					$(this).addClass('hidden');
					return false;		
					}
				$(this).addClass('hidden');
			});
           					
		}
	}
	
	// Image Options
	$('.of-radio-img-img').on('click', function() {
		$(this).parent().parent().find('.of-radio-img-img').removeClass('of-radio-img-selected');
		$(this).addClass('of-radio-img-selected');		
	});
		
	$('.of-radio-img-label').hide();
	$('.of-radio-img-img').show();
	$('.of-radio-img-radio').hide();


	  function GoogleFontSelect( slctr, mainID ){

	    var _selected = $(slctr).val();
	    var _fontname = $(slctr).find(':selected').data('font');
	    var _linkclass = 'style_link_'+ mainID;
	    var _previewer = mainID +'_googlefont_previewer';

	    if( _selected ){
	      $('.'+ _previewer ).fadeIn();

	      if ( _selected !== '0' && _selected !== 'Default Font' ) {

	        $( '.'+ _linkclass ).remove();

	        var the_font = _selected.replace(/\s+/g, '+');

	        $('head').append('<link href="https://fonts.googleapis.com/css?family='+ the_font +'" rel="stylesheet" class="'+ _linkclass +'">');

	        $('.'+ _previewer ).css('font-family', _fontname +', sans-serif' );

	      } else {
	        $('.'+ _previewer ).css('font-family', '' );
	        $('.'+ _previewer ).fadeOut();
	      }

	    }

	  }
	  //init for each element
	  jQuery( '.google_font_select' ).each(function(){
	    var mainID = jQuery(this).attr('id');
	    GoogleFontSelect( this, mainID );
	  });

	  //init when value is changed
	  jQuery( '.google_font_select' ).change(function(){
	    var mainID = jQuery(this).attr('id');
	    GoogleFontSelect( this, mainID );
	  });
		 		
});	