<?php
$custom_menu_call = '';
if ( is_singular() ) {
	$user_choice_of_menu = get_post_meta( get_the_id() , 'pagemeta_menu_choice', true);
	if ( tamarind_page_is_woo_shop() ) {
		$woo_shop_post_id = get_option( 'woocommerce_shop_page_id' );
		$user_choice_of_menu = get_post_meta( $woo_shop_post_id , 'pagemeta_menu_choice', true);
	}
	if ( isSet($user_choice_of_menu) && $user_choice_of_menu <> "default") {
		$custom_menu_call = $user_choice_of_menu;
	}
}
$theme_menu_type = tamarind_get_option_data('header_menu_type');
if (tamarind_is_in_demo()) {
	if ( false != tamarind_demo_get_data('menu_type') ) {
		$theme_menu_type = tamarind_demo_get_data('menu_type');
	}
}

$menu_class = "sf-menu";
if ($theme_menu_type=="minimal-menu") {
	$menu_class = "mtree";
}
if ($theme_menu_type == "minimal-menu") {
?>
<div class="simple-menu">
	<?php
	// WPML
	$wpml_lang_selector_enable= tamarind_get_option_data('wpml_lang_selector_enable');
	if ($wpml_lang_selector_enable) {
	?>
	<div class="mobile-wpml-lang-selector-wrap">
		<div class="flags_language_selector"><?php tamarind_language_selector_flags(); ?></div >
	</div>
	<?php
	}
	?>
	<nav>
	<?php
	echo wp_nav_menu( array(
		'container' =>false,
		'menu' => $custom_menu_call,
		'theme_location' => 'main_menu',
		'menu_class' => $menu_class,
		'echo' => false,
		'before' => '',
		'after' => '',
		'link_before' => '',
		'link_after' => '',
		'depth' => 0,
		'fallback_cb' => 'mtheme_nav_fallback'
		)
	);
	?>
	</nav>
	<div class="mobile-social-header">
	<?php 
	dynamic_sidebar('mobile_social_header');
	?>
	</div>
	<div class="cleafix"></div>
</div>
<?php
}
function tamarind_reserveration_button() {
	$reservation_button_title = tamarind_get_option_data('reservation_button_title');
	$reservation_page = tamarind_get_option_data('reservation_page');
	$header_page_data = get_post_custom( get_the_id() );
	$button_type = "text-is-default";

	$header_page_data = get_post_custom( get_the_id() );
	if (isSet($header_page_data['pagemeta_header_type'][0])) {
		$header_type = get_post_meta( get_the_id() , 'pagemeta_header_type', true);
		if ($header_type=="overlay") {
			$button_type = "text-is-bright";
		}
	}

	$reservation_button = '';
	if ($reservation_button_title<>"") {
		$button_link_start = '<div class="button-element sticky-menu-switch '.esc_attr($button_type).' opaque-button"><div class="mtheme-button">';
		$button_link_end = '</div></div>';
		$button_toggle = ' menu-button-toggle';
		if ($reservation_page<>'0') {
			$reservation_page_url = get_the_permalink($reservation_page);
			$button_link_start = '<a class="button-element sticky-menu-switch '.esc_attr($button_type).' opaque-button" href="'.esc_url($reservation_page_url).'"><div class="mtheme-button">';
			$button_link_end = '</div></a>';
			$button_toggle = '';
		}
		$reservation_button = '<div class="reservation-button-wrap reservation-button'. esc_attr($button_toggle).'">'.$button_link_start . $reservation_button_title . $button_link_end.'</div>';
	}
	return $reservation_button;
}
function tamarind_main_menu_logo($header_menu_type="header-middle") {
	$header_menu_type = tamarind_get_option_data('header_menu_type');
	if (tamarind_is_in_demo()) {
		if ( false != tamarind_demo_get_data('menu_type') ) {
			$header_menu_type = tamarind_demo_get_data('menu_type');
		}
	}
	$logo_element = '';
	$sticky_main_logo=tamarind_get_option_data('sticky_main_logo');
	$sticky_logo_class='';
	if ($sticky_main_logo<>"") {
		$sticky_logo_class = " sticky-alt-logo-present";
	}
	$logo_element .= '<div class="header-logo-section">';
		$logo_element .= '<div class="logo'.$sticky_logo_class.'">';
			
			$home_url_path = home_url('/');
			$logo_element .= '<a href="'.esc_url($home_url_path).'">';

				$theme_style="light";
				$main_logo=tamarind_get_option_data('main_logo');
				$secondary_logo=tamarind_get_option_data('secondary_logo');
				if ( $main_logo <> "" ) {
					if ($secondary_logo=="") {
						$secondary_logo = $main_logo;
					}
					$logo_element .= '<img class="logo-theme-main logo-theme-primary logo-theme-dark logo-theme-custom" src="'.esc_url($main_logo).'" alt="'.esc_attr__('logo','tamarind').'" />';
					$logo_element .= '<img class="logo-theme-main logo-theme-secondary logo-theme-bright logo-theme-custom" src="'.esc_url($secondary_logo).'" alt="'.esc_attr__('logo','tamarind').'" />';
				} else {
					if ($theme_style=="light") {
						$demo_logo_image = 'logo_responsive.png';
						if ( $header_menu_type == "split-menu" ) {
							$demo_logo_image = 'logo_split_menu.png';
						}
					} else {
						$demo_logo_image = 'logo_responsive_alt.png';
						if ( $header_menu_type == "split-menu" ) {
							$demo_logo_image = 'logo_split_menu_alt.png';
						}
					}
					$demo_logo_image_secondary = 'logo_responsive_alt.png';
					$logo_element .= '<img class="logo-theme-main logo-theme-primary logo-theme-dark" src="'.get_template_directory_uri() . '/images/'.$demo_logo_image.'" alt="'.esc_attr__('logo','tamarind').'" />';
					$logo_element .= '<img class="logo-theme-main logo-theme-secondary logo-theme-bright" src="'.get_template_directory_uri() . '/images/'.$demo_logo_image_secondary.'" alt="'.esc_attr__('logo','tamarind').'" />';
				}

			$logo_element .= '</a>';
		$logo_element .= '</div>';
	$logo_element .= '</div>';
	return $logo_element;
}
if ( tamarind_menu_is_vertical() ) {
} else {
	?>
	<div class="outer-wrap stickymenu-zone">
	<?php
	if ( is_active_sidebar( 'social_header' ) ) {
		echo '<div class="menu-social-header">';
			dynamic_sidebar('social_header');
		echo '</div>';
	}
	$header_menu_top=tamarind_get_option_data('header_menu_top');
	if (tamarind_is_in_demo()) {
		if ( false != tamarind_demo_get_data('headermenutop') ) {
			$header_menu_top = tamarind_demo_get_data('headermenutop');
		}
	}
	?>
	<?php
	// WPML
	$wpml_lang_selector_enable= tamarind_get_option_data('wpml_lang_selector_enable');
	if ($wpml_lang_selector_enable) {
	?>
	<div class="wpml-lang-selector-wrap">
		<div class="flags_language_selector"><?php tamarind_language_selector_flags(); ?></div >
	</div>
	<?php
	}
	?>
		<div class="outer-header-wrap clearfix">
			<nav>
<?php
	$header_menu_type = tamarind_get_option_data('header_menu_type');
	if (tamarind_is_in_demo()) {
		if ( false != tamarind_demo_get_data('menu_type') ) {
			$header_menu_type = tamarind_demo_get_data('menu_type');
		}
	}
	$adjustable = '';
?>
				<div class="mainmenu-navigation <?php echo esc_attr($adjustable); ?> clearfix">
						<?php
						$header_menu_type = tamarind_get_option_data('header_menu_type');
						if ($header_menu_type=="" || !isSet($header_menu_type) ) {
							$header_menu_type="left-detatched";
						}
						echo tamarind_main_menu_logo($header_menu_type);
						if ($theme_menu_type <> "minimal-menu") {
							if ( has_nav_menu( 'main_menu' ) ) {
							?>
								<div class="homemenu">
							<?php
							if (class_exists('mtheme_Menu_Megamenu')) {
								echo wp_nav_menu( array(
									'container' =>false,
									'menu' => $custom_menu_call,
									'theme_location' => 'main_menu',
									'menu_class' => $menu_class,
									'echo' => false,
									'before' => '',
									'after' => '',
									'link_before' => '',
									'link_after' => '',
									'depth' => 0,
									'fallback_cb' => 'mtheme_nav_fallback',
									'walker' => new mtheme_Menu_Megamenu()
									)
								);
							} else {
								echo wp_nav_menu( array(
									'container' =>false,
									'menu' => $custom_menu_call,
									'theme_location' => 'main_menu',
									'menu_class' => $menu_class,
									'echo' => false,
									'before' => '',
									'after' => '',
									'link_before' => '',
									'link_after' => '',
									'depth' => 0,
									'fallback_cb' => 'mtheme_nav_fallback'
									)
								);								
							}
							?>
							</div>
							<?php
							}
						}
						$reservation_shortcode = tamarind_get_option_data('reservation_shortcode');
						$reservation_page = tamarind_get_option_data('reservation_page');
						if ($reservation_page == '') {
							$reservation_page = '0';
						}
						if ( $reservation_shortcode<>"" || $reservation_page<>'0' ) {
							echo tamarind_reserveration_button();
						}
						?>
				</div>
			</nav>
		</div>
		<?php
		if ( !tamarind_get_option_data('mtheme_woocart_menu') ) {
			if ( class_exists( 'woocommerce' ) ) {
				echo '<div class="header-cart header-cart-toggle"><i class="ion-bag"></i></div>';
			}
		}
		?>
	</div>
	<?php
	if ( !tamarind_get_option_data('mtheme_woocart_menu') ) {
		do_action('tamarind_header_woocommerce_shopping_cart_counter');
	}
}
?>